%define name pybliographer
%define version 1.0.8
%define release 1mdk
%define prefix %{_prefix}

Summary: 	A framework for working with bibliographic databases.
Name:           %{name}
Version:        %{version}
Release:        %{release}
Copyright:	GPL
Group:		Office
Url:            http://www.gnome.org:65348/pybliographer
Source: 	ftp://ftp.gnome.org/pub/GNOME/stable/sources/pyblio/%{name}-%{version}.tar.bz2
Source1:        %{name}-16.xpm.bz2
Source2:        %{name}-32.xpm.bz2
Source3:        %{name}-48.xpm.bz2
Requires: 	python, pygnome >= 1.0.53, recode
Buildrequires:	recode, recode-devel
BuildRoot:      %{_tmppath}/%{name}-buildroot
Autoreqprov: no

%description
Pybliographer is a tool for managing bibliographic databases. It currently supports the following formats: 

- BibTeX (quite complete) 
- Medline (read-only) 
- Ovid files (from ovid.com) 
- Refer and EndNote (read only)
- SGML DocBook (write only) 

Pybliographer can be used for searching, editing, reformatting, etc.
In fact, it's a simple framework that provides easy to use python
classes and functions, and therefore can be extended to any usage
(generating HTML pages according to bibliographic searches, etc).

In addition to the scripting environment, a graphical GNOME interface
is available. It provides powerful editing capabilities, in addition
to a nice hierarchical search mechanism.

%package devel
Summary:        Libraries, includes and more to develop pybliographer applications
Group:          Development/C
Requires:       %{name} = %{version}

%description devel
Libraries, include files and other resources you can use to develop pybliographer
applications.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
%configure
%make

%install
make DESTDIR=$RPM_BUILD_ROOT install

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat - << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(pybliographer): command="%{_bindir}/pybliographic" title="Pybliographic" icon="pybliographic.xpm" longtitle="A tool for managing bibliographic databases" needs="x11" section="Office"
EOF

# icon
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzip2 -dc %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/pybliographic.xpm
bzip2 -dc %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/pybliographic.xpm
bzip2 -dc %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/pybliographic.xpm

%post
ldconfig
%{update_menus}

%postun
ldconfig
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/*
%{_libdir}/*.so.*
%dir %{_libdir}/pybliographer
%{_libdir}/pybliographer/*
%dir %{_datadir}/gnome/help/pybliographic
%dir %{_datadir}/gnome/help/pybliographic/C
%dir %{_datadir}/gnome/help/pybliographic/it
%{_datadir}/gnome/help/pybliographic/C/*
%{_datadir}/gnome/help/pybliographic/it/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%dir %{_datadir}/pybliographer
%{_datadir}/pybliographer/*.py*
%dir %{_datadir}/pybliographer/Pyblio
%{_datadir}/pybliographer/Pyblio/*.py*
%dir %{_datadir}/pybliographer/Pyblio/ConfDir
%{_datadir}/pybliographer/Pyblio/ConfDir/*
%dir %{_datadir}/pybliographer/Pyblio/Format
%{_datadir}/pybliographer/Pyblio/Format/*
%dir %{_datadir}/pybliographer/Pyblio/GnomeUI
%{_datadir}/pybliographer/Pyblio/GnomeUI/*
%dir %{_datadir}/pybliographer/Pyblio/Output
%{_datadir}/pybliographer/Pyblio/Output/*
%dir %{_datadir}/pybliographer/Pyblio/Style
%{_datadir}/pybliographer/Pyblio/Style/*
%dir %{_datadir}/pybliographer/Styles
%{_datadir}/pybliographer/Styles/*
%{_menudir}/%{name}
%{_iconsdir}/pybliographic.xpm
%{_miconsdir}/pybliographic.xpm
%{_liconsdir}/pybliographic.xpm

%files devel

%defattr(-, root, root)
%{_includedir}/bibtex.h
%{_libdir}/libbibtex.a
%{_libdir}/libbibtex.la
%{_libdir}/libbibtex.so

%changelog
* Mon Feb 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.8-1mdk
- used srpm from Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- updated to 1.0.8

* Thu Dec 21 2000  Lenny Cartier <lenny@mandrakesoft.com> 1.0.7-1mdk
- updated by RA <Ralf.Ahlbrink@i.am>

* Fri Sep 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4-2mdk
- used srpm from Guillaume Rousse :
	Tue Sep 26 2000 Guillaume Rousse <g.rousse@linux-mandrake.co> 
	- added recode require

* Mon Sep 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4-1mdk
- used srpm from Guillaume Rousse :
	Thu Jul 27 2000 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.4-1mdk
	- new in contribs
	- specfile adaptation from original provided by Konrad Hinsen <hinsen@cnrs-orleans.fr>
